using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Hotel_Course_Project
{
    /// <summary>
    /// Логика взаимодействия для EnterLoginWindow.xaml
    /// </summary>
    public partial class EnterLoginWindow : Window
    {
        public EnterLoginWindow()
        {
            InitializeComponent();
        }

        private void AcceptBtn_Click(object sender, RoutedEventArgs e)
        {
            var user = DataBase.db.Staff.SingleOrDefault(x => x.Login == Login.Text);
            if (user != null)
            {
                if (user.HelpQuestion != null)
                {
                    HelpQustionWindow helpQustionWindow = new HelpQustionWindow(user);
                    helpQustionWindow.ShowDialog();
                    DialogResult = true;
                }
                else
                {
                    MessageBox.Show("Для данного аккаунта нет возможности восстановления пароля через секретный вопрос. обратитесь к администратору");
                    DialogResult = false;
                }
            }
            else
            {
                MessageBox.Show("Такого логина не существует");
                Login.Text = "";
            }
        }

        private void Cancelbtn_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
        }
    }
}
